package TestAttendanceAllowance;

import com.engine.attendance.attendanceanalysis.web.AttendanceanalysisAction;
import com.engine.attendance.component.calendarscheduling.web.WorkRulesController;
import com.engine.common.util.DateUtil;
import com.google.common.collect.Maps;
import weaver.hrm.company.SubCompanyComInfo;

import java.util.Map;

public class

Test extends beforlog{

    @org.junit.Test
    public void testAnalysis() throws Exception{
        Map<String,Object> paramMap = Maps.newHashMap();
        paramMap.put("startDate","2024-04-15");
        paramMap.put("endDate","2024-04-15");
        paramMap.put("userIds","31");

        beforlog be = new beforlog();
        AttendanceanalysisAction action = new AttendanceanalysisAction();
        action.getSchedulingData(null,null);

    }

    @org.junit.Test
    public void test2() throws Exception{
        Map<String,Object> paramMap = Maps.newHashMap();
        paramMap.put("startDate","2024-04-15");
        paramMap.put("endDate","2024-04-15");
        paramMap.put("userIds","31");

        WorkRulesController action = new WorkRulesController();
        action.getDepartSchedule(null,null);

    }
}
